package com.sunxung.factoring.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 系统人员操作日志
 * </p>
 *
 * @author liutao
 * @since 2023-08-08
 */
@TableName("sys_operation_log")
public class SysOperationLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ip
     */
    @TableField("client_ip")
    private String clientIp;

    /**
     * 方法执行时间 毫秒
     */
    @TableField("usageTime")
    private Long usageTime;

    /**
     * 请求URL
     */
    @TableField("url")
    private String url;

    /**
     * 请求的方法名
     */
    @TableField("methodName")
    private String methodName;

    /**
     * 操作模块
     */
    @TableField("operation_module")
    private String operationModule;

    /**
     * 操作类型
     */
    @TableField("operation_type")
    private String operationType;

    /**
     * 操作说明
     */
    @TableField("description")
    private String description;

    /**
     * 请求的参数
     */
    @TableField("request_params")
    private String requestParams;

    /**
     * 请求的结果
     */
    @TableField("result")
    private String result;

    /**
     * 系统登录日志id
     */
    @TableField("sys_login_log_id")
    private Long sysLoginLogId;

    public Long getSysLoginLogId() {
        return sysLoginLogId;
    }

    public void setSysLoginLogId(Long sysLoginLogId) {
        this.sysLoginLogId = sysLoginLogId;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }
    public Long getUsageTime() {
        return usageTime;
    }

    public void setUsageTime(Long usageTime) {
        this.usageTime = usageTime;
    }
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }
    public String getOperationModule() {
        return operationModule;
    }

    public void setOperationModule(String operationModule) {
        this.operationModule = operationModule;
    }
    public String getOperationType() {
        return operationType;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
    public String getRequestParams() {
        return requestParams;
    }

    public void setRequestParams(String requestParams) {
        this.requestParams = requestParams;
    }
    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    @Override
    public String toString() {
        return "SysOperationLog{" +
            "clientIp=" + clientIp +
            ", usageTime=" + usageTime +
            ", url=" + url +
            ", methodName=" + methodName +
            ", operationModule=" + operationModule +
            ", operationType=" + operationType +
            ", description=" + description +
            ", requestParams=" + requestParams +
            ", result=" + result +
        "}";
    }
}
